Get User ( SUNSETTING )
curl --request GET \
--url https://api.grailpay.com/3p/api/v2/users/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.grailpay.com/3p/api/v2/users/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.grailpay.com/3p/api/v2/users/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_reference_id": "company_45458",
"uuid": "9d264b4a-006c-4d01-acd0-730e27784c59",
"first_name": "John",
"last_name": "Dew",
"email": "john.dew@example.com",
"phone": "2457856490",
"business": {
"name": "John Incorporation",
"tin": "922454715",
"address_type": "Registered",
"address": {
"street_address": "10554 W Quarles Ave",
"city": "Littleton",
"state": "CO",
"country": "US",
"zip": "80127"
},
"trading_name": "John Incorporation",
"entity_type": "Sole Trader",
"incorporation_date": "2024-02-02",
"incorporation_state": "CO",
"industry": "Nature of business",
"industry_classification": {
"code_type": "SIC",
"codes": [
"NAICS 42",
"NAICS 45"
],
"description": "NAICS"
},
"source_of_wealth": "2344",
"source_of_funds": "Industry",
"first_transaction_completed_at": "2024-05-02 16:14:25",
"product_type": "financial",
"registered_as_inactive": false,
"transaction_fee_percent": 25,
"transaction_fee_fixed": 500,
"maximum_transaction_fee": 500
},
"user_status": "APPROVED",
"kyb_status": "APPROVED",
"kyb_rejected_reason": null,
"financing_credit_balance": null,
"payout_type": "batch",
"role": "business",
"vendor_name": "Fintech",
"business_owners": [
{
"first_name": "John",
"last_name": "Dew",
"dob": "2023-04-11",
"ssn9": "123456789",
"address_line_1": "10554 W Quarles Ave",
"city": "Littleton",
"state": "CO",
"zip": "80127",
"is_beneficial_owner": true,
"is_director": false,
"is_account_owner": false,
"is_share_holder": false,
"is_significant_control_person": false,
"ownership_percentage": 25,
"email": "john.dew@example.com",
"phone": "2457856490",
"nationality": "US",
"occupation": "Co-founder",
"first_transaction_completed_at": "2024-05-02 16:14:25",
"product_type": "financial"
}
],
"created_at": "2024-10-02 14:06:14",
"updated_at": "2024-10-02 14:06:17"
}{
"status": false,
"message": "Invalid Token",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "The user has not been found.",
"data": null,
"errors": null,
"error_code": null
}Users
Get User ( SUNSETTING )
This Endpoint is Sunsetting and you should use the stable endpoint. Sunsetting APIs that are still supported but scheduled for deprecation.
GET
/
3p
/
api
/
v2
/
users
/
{uuid}
Get User ( SUNSETTING )
Authorizations
Token-based authentication using Authorization: Bearer <YOUR_API_KEY> provided by the GrailPay Support Team.
Path Parameters
User UUID
Response
User details retrieved successfully
- Business Response
- Person Response
Schema for a Business response
Example:
"company_45458"
Example:
"9d264b4a-006c-4d01-acd0-730e27784c59"
Example:
"John"
Example:
"Dew"
Example:
"john.dew@example.com"
Example:
"2457856490"
Show child attributes
Show child attributes
Example:
"APPROVED"
Example:
"APPROVED"
Example:
null
Example:
null
Example:
"batch"
Example:
"business"
Example:
"Fintech"
Show child attributes
Show child attributes
Example:
"2024-10-02 14:06:14"
Example:
"2024-10-02 14:06:17"
⌘I
